| Home | Libraries | People | FAQ | More

##### basic_stream_socket::basic_stream_socket (1 of 4 overloads)

Construct a basic_stream_socket without opening it.

    basic_stream_socket(
        boost::asio::io_service & io_service);

This constructor creates a stream socket without opening it. The socket needs to be opened and then connected or accepted before data can be sent or received on it.

###### Parameters

io_service

  The io_service object that the stream socket will use to dispatch handlers for any asynchronous operations performed on the socket.